# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.jadmin.options import JumboModelAdmin

from jmb.currency.models import Currency


class CurrencyAdmin(JumboModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (_('general information'), {'fields': (
            'status', 'name', 'slug', 'code', 'symbol'
        )}),
    )
    search_fields = ('name', 'code')
    list_display = (
        'get_status_icon', 'name', 'code', 'symbol',
        'get_edit_icon', 'get_delete_icon'
    )
    prepopulated_fields = {"slug": ("name",)}

admin.site.register(Currency, CurrencyAdmin)
